<div
  *ngIf="show"
  class="spinner-overlay"
  [ngClass]="{ 'full-screen': fullScreen }"
>
  <div class="spinner-container">
    <div class="loader"></div>

    <div class="loading-text" *ngIf="text">
      {{ text }}
    </div>
  </div>
</div>
